Main Page Namespace List Compound List File List Namespace Members Compound Members

# iFileIterator.h File Reference

Interface for an iterator for files on a LEGO MINDSTORMS NXT. More...

`#include "platform.h"`
`#include "iFile.h"`

Go to the source code of this file.

## Namespaces

namespace | nFANTOM100

## Compounds

class | nFANTOM100::iFileIterator
| Interface to an iterator for files on a LEGO MINDSTORMS NXT. More...

## Typedefs

typedef ViObject | nFANTOM100_iFileIterator

## Functions

nFANTOM100_kExport nFANTOM100_iFile _VI_FUNCC | nFANTOM100_iFileIterator_getFile (nFANTOM100_iFileIterator iteratorPtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFileIterator_advance (nFANTOM100_iFileIterator iteratorPtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFileIterator_getName (nFANTOM100_iFileIterator iteratorPtr, ViChar filename[], ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iFileIterator_getSize (nFANTOM100_iFileIterator iteratorPtr, ViStatus *status)

## Detailed Description

Interface for an iterator for files on a LEGO MINDSTORMS NXT.

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.